package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SysPayType;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: zi run
 * @Date 2024/8/5 19:33
 * @Description 支付渠道的校验器
 */
public class SystemPayTypeValidator implements ConstraintValidator<IsSystemPayType, String> {
    @Override
    public boolean isValid(String value, ConstraintValidatorContext constraintValidatorContext) {
        return SysPayType.isCode(value);
    }
}
